import { ShapeSeriesBase } from "./ShapeSeriesBase";
import { StyleSelector } from "./StyleSelector";
import { Style } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { ShapeSeriesViewBase } from "./ShapeSeriesViewBase";
import { DataContext } from "igniteui-angular-core";
import { FrameworkElement } from "igniteui-angular-core";
import { PathGeometry } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { PointCollection } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ScatterPolylineSeries extends ShapeSeriesBase {
    static $t: Type;
    protected get_d9(): boolean;
    constructor();
    protected bx(): SeriesView;
    protected get_q2(): boolean;
    l2(a: SeriesView): void;
    protected sv: ScatterPolylineSeriesView;
    protected get_q7(): boolean;
    sw: StyleSelector;
    s1: Style;
    protected l7(a: any, b: string, c: any, d: any): void;
    protected sf(a: SeriesView): void;
    at(a: Point, b: boolean): DataContext;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterPolylineSeriesView extends ShapeSeriesViewBase {
    static $t: Type;
    constructor(a: ScatterPolylineSeries);
    as(): void;
    protected c2(a: number, b: List$1<PointCollection>): PathGeometry;
    cj(a: FrameworkElement, b: any, c: boolean): void;
    protected ch(a: FrameworkElement, b: PathGeometry): void;
    protected ac(a: number): any;
    protected ab(a: number): any;
    b8(a: Rect): boolean;
    getDefaultTooltipTemplate(): string;
}
